#
# spec file for package python-addict
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-addict
Version:        2.2.1
Release:        bp153.1.14
Summary:        A dictionary using both attribute and item syntax
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/mewwts/addict
Source:         https://github.com/mewwts/addict/archive/v%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Addict is a module that exposes a dictionary subclass that allows
items to be set like attributes. Values are gettable and settable
using both attribute and item syntax.

%prep
%setup -q -n addict-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Mon Apr 29 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.2.1:
  * Include tests in sdist
* Wed Mar  6 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.2.0:
  * In this release it's easier / better to inherit from a Dict instance
- Switch to github tarball to get license and tests
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed May  9 2018 toddrme2178@gmail.com
- Update to 2.1.2
  * You can now deep copy an addict instance by doing ad.deepcopy()
* Fri Oct 20 2017 toddrme2178@gmail.com
- initial version
